Daemon Power

The NetBSD Packages Collection: devel/py-buildbot-www

Brief description of the package:
Web frontend for the buildbot CI system

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://buildbot.net/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "devel/py-buildbot-www" directory. The current source version of the package is "py37-buildbot-www-1.5.0". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/py-buildbot-www :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py37-buildbot-[0-9]* py37-JWT-[0-9]* py37-cryptography>=1.4 py37-asn1crypto>=0.21.0 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 libffi>=3.0.11 readline>=2.2 readline>=6.0 python37>=3.7.0 python37>=3.7.5 py37-cffi>=1.11.4 py37-cparser-[0-9]* py37-cparser>=2.10 py37-idna>=2.1 py37-six>=1.4.1 py37-autobahn>=0.16.0 py37-cryptography>=2.7 py37-nacl>=1.0.1 py37-cffi>=1.4.1 py37-six-[0-9]* libsodium>=0.3 py37-test-[0-9]* py37-atomicwrites>=1.0 py37-attrs>=17.4.0 py37-packaging-[0-9]* py37-pyparsing>=2.0.2 py37-pluggy>=0.12 py37-importlib-metadata>=0.12 py37-zipp>=0.5 py37-more-itertools-[0-9]* py37-setuptools_scm>=1.15.0 py37-setuptools_scm-[0-9]* py37-py>=1.5.0 py37-six>=1.10.0 py37-wcwidth-[0-9]* py37-six>=1.11.0 py37-txaio>=18.8.1 py37-dateutil>=1.5 py37-six>=1.5 py37-future-[0-9]* py37-jinja2>=2.1 py37-babel>=0.8 py37-pytz>=2015.7 py37-markupsafe>=0.23 py37-sqlalchemy>=0.8.0 py37-sqlalchemy-migrate>=0.9 py37-Tempita>=0.4 py37-decorator-[0-9]* py37-sqlalchemy>=0.7.8 py37-sqlparse-[0-9]* py37-test-runner-[0-9]* py37-test>=2.8 py37-pbr-[0-9]* py37-six>=1.7.0 py37-twisted>=17.9.0 py37-automat>=0.3.0 py37-attrs>=16.1.0 py37-m2r-[0-9]* py37-docutils-[0-9]* py37-expat>=0 py37-roman>=1.4 py37-mistune-[0-9]* py37-constantly>=15.1 py37-hamcrest>=1.9.0 py37-six>=1.4 py37-hyperlink>=17.1.1 py37-idna>=2.5 py37-incremental>=16.10.1 py37-ZopeInterface>=4.4.2 py37-ZopeEvent-[0-9]* py37-OpenSSL>=16.0.0 py37-cryptography>=2.8 py37-six>=1.5.2 py37-service_identity-[0-9]* py37-OpenSSL>=0.12 py37-asn1-modules-[0-9]* py37-asn1>=0.4.1 py37-attrs-[0-9]* py37-characteristic>=14.0.0 py37-idna-[0-9]* py37-idna>=2.4 py37-txaio>=2.2.2 py37-ZopeInterface>=4.1.1 py37-buildbot-pkg-[0-9]* py37-mock-[0-9]* py37-six>=1.7 .

This package requires the following package(s) to run: py37-buildbot-[0-9]* py37-JWT-[0-9]* py37-cryptography>=1.4 py37-asn1crypto>=0.21.0 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 python37>=3.7.0 python37>=3.7.5 py37-cffi>=1.11.4 py37-cparser-[0-9]* py37-cparser>=2.10 py37-idna>=2.1 py37-six>=1.4.1 py37-autobahn>=0.16.0 py37-cryptography>=2.7 py37-nacl>=1.0.1 py37-cffi>=1.4.1 py37-six-[0-9]* libsodium>=0.3 py37-six>=1.11.0 py37-txaio>=18.8.1 py37-dateutil>=1.5 py37-six>=1.5 py37-future-[0-9]* py37-jinja2>=2.1 py37-babel>=0.8 py37-pytz>=2015.7 py37-markupsafe>=0.23 py37-sqlalchemy>=0.8.0 py37-sqlalchemy-migrate>=0.9 py37-Tempita>=0.4 py37-decorator-[0-9]* py37-sqlalchemy>=0.7.8 py37-sqlparse-[0-9]* py37-pbr-[0-9]* py37-six>=1.7.0 py37-twisted>=17.9.0 py37-attrs>=17.4.0 py37-automat>=0.3.0 py37-attrs>=16.1.0 py37-constantly>=15.1 py37-hamcrest>=1.9.0 py37-six>=1.4 py37-hyperlink>=17.1.1 py37-idna>=2.5 py37-incremental>=16.10.1 py37-ZopeInterface>=4.4.2 py37-ZopeEvent-[0-9]* py37-OpenSSL>=16.0.0 py37-cryptography>=2.8 py37-six>=1.5.2 py37-service_identity-[0-9]* py37-OpenSSL>=0.12 py37-asn1-modules-[0-9]* py37-asn1>=0.4.1 py37-attrs-[0-9]* py37-characteristic>=14.0.0 py37-idna-[0-9]* py37-idna>=2.4 py37-txaio>=2.2.2 py37-ZopeInterface>=4.1.1 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:py27-buildbot-www-1.5.0.tgz(NetBSD 8.0)
alpha:py34-buildbot-www-1.5.0.tgz(NetBSD 8.0)
alpha:py35-buildbot-www-1.5.0.tgz(NetBSD 8.0)
alpha:py36-buildbot-www-1.5.0.tgz(NetBSD 8.0)
alpha:py37-buildbot-www-1.5.0.tgz(NetBSD 8.0)
alpha:py27-buildbot-www-1.5.0.tgz(NetBSD 8.0)
alpha:py34-buildbot-www-1.5.0.tgz(NetBSD 8.0)
alpha:py35-buildbot-www-1.5.0.tgz(NetBSD 8.0)
alpha:py36-buildbot-www-1.5.0.tgz(NetBSD 8.0)
alpha:py37-buildbot-www-1.5.0.tgz(NetBSD 8.0)
alpha:py27-buildbot-www-1.5.0.tgz(NetBSD 8.0)
alpha:py34-buildbot-www-1.5.0.tgz(NetBSD 8.0)
alpha:py35-buildbot-www-1.5.0.tgz(NetBSD 8.0)
alpha:py36-buildbot-www-1.5.0.tgz(NetBSD 8.0)
alpha:py37-buildbot-www-1.5.0.tgz(NetBSD 8.0)
earm:py36-buildbot-www-1.5.0.tgz(NetBSD 8.0)
earmv6hf:py36-buildbot-www-1.5.0.tgz(NetBSD 8.0)
earmv6hf:py37-buildbot-www-1.5.0.tgz(NetBSD 8.0)
earmv6hf:py36-buildbot-www-1.5.0.tgz(NetBSD 8.0)
earmv6hf:py37-buildbot-www-1.5.0.tgz(NetBSD 8.0)
earmv7hf:py36-buildbot-www-1.5.0.tgz(NetBSD 8.0)
earmv7hf:py37-buildbot-www-1.5.0.tgz(NetBSD 8.0)
earmv7hf:py36-buildbot-www-1.5.0.tgz(NetBSD 8.0)
earmv7hf:py37-buildbot-www-1.5.0.tgz(NetBSD 8.0)
i386:py36-buildbot-www-1.5.0.tgz(NetBSD 7.0)
i386:py37-buildbot-www-1.5.0.tgz(NetBSD 7.0)
i386:py27-buildbot-www-1.5.0.tgz(NetBSD 7.0)
i386:py34-buildbot-www-1.5.0.tgz(NetBSD 7.0)
i386:py36-buildbot-www-1.5.0.tgz(NetBSD 7.0)
i386:py37-buildbot-www-1.5.0.tgz(NetBSD 7.0)
i386:py36-buildbot-www-1.5.0.tgz(NetBSD 7.0)
i386:py37-buildbot-www-1.5.0.tgz(NetBSD 7.0)
i386:py27-buildbot-www-1.5.0.tgz(NetBSD 7.1)
i386:py34-buildbot-www-1.5.0.tgz(NetBSD 7.1)
i386:py36-buildbot-www-1.5.0.tgz(NetBSD 7.1)
i386:py37-buildbot-www-1.5.0.tgz(NetBSD 7.1)
i386:py36-buildbot-www-1.5.0.tgz(NetBSD 7.1)
i386:py37-buildbot-www-1.5.0.tgz(NetBSD 7.1)
i386:py36-buildbot-www-1.5.0.tgz(NetBSD 7.1)
i386:py37-buildbot-www-1.5.0.tgz(NetBSD 7.1)
i386:py36-buildbot-www-1.5.0.tgz(NetBSD 8.0)
i386:py37-buildbot-www-1.5.0.tgz(NetBSD 8.0)
i386:py27-buildbot-www-1.5.0.tgz(NetBSD 8.0)
i386:py34-buildbot-www-1.5.0.tgz(NetBSD 8.0)
i386:py35-buildbot-www-1.5.0.tgz(NetBSD 8.0)
i386:py36-buildbot-www-1.5.0.tgz(NetBSD 8.0)
i386:py37-buildbot-www-1.5.0.tgz(NetBSD 8.0)
i386:py36-buildbot-www-1.5.0.tgz(NetBSD 8.0)
i386:py37-buildbot-www-1.5.0.tgz(NetBSD 8.0)
mips64eb:py27-buildbot-www-1.5.0.tgz(NetBSD 8.0)
powerpc:py27-buildbot-www-1.5.0.tgz(NetBSD 7.1)
powerpc:py34-buildbot-www-1.5.0.tgz(NetBSD 7.1)
powerpc:py35-buildbot-www-1.5.0.tgz(NetBSD 7.1)
powerpc:py36-buildbot-www-1.5.0.tgz(NetBSD 7.1)
powerpc:py37-buildbot-www-1.5.0.tgz(NetBSD 7.1)
powerpc:py36-buildbot-www-1.5.0.tgz(NetBSD 9.0)
powerpc:py37-buildbot-www-1.5.0.tgz(NetBSD 9.0)
sparc64:py27-buildbot-www-1.1.1.tgz(NetBSD 7.1)
sparc64:py34-buildbot-www-1.1.1.tgz(NetBSD 7.1)
sparc64:py35-buildbot-www-1.1.1.tgz(NetBSD 7.1)
sparc64:py36-buildbot-www-1.1.1.tgz(NetBSD 7.1)
sparc64:py27-buildbot-www-1.5.0.tgz(NetBSD 8.0)
sparc64:py34-buildbot-www-1.5.0.tgz(NetBSD 8.0)
sparc64:py35-buildbot-www-1.5.0.tgz(NetBSD 8.0)
sparc64:py36-buildbot-www-1.5.0.tgz(NetBSD 8.0)
sparc64:py37-buildbot-www-1.5.0.tgz(NetBSD 8.0)
x86_64:py36-buildbot-www-1.5.0.tgz(NetBSD 7.0)
x86_64:py37-buildbot-www-1.5.0.tgz(NetBSD 7.0)
x86_64:py27-buildbot-www-1.5.0.tgz(NetBSD 7.0)
x86_64:py34-buildbot-www-1.5.0.tgz(NetBSD 7.0)
x86_64:py36-buildbot-www-1.5.0.tgz(NetBSD 7.0)
x86_64:py37-buildbot-www-1.5.0.tgz(NetBSD 7.0)
x86_64:py36-buildbot-www-1.5.0.tgz(NetBSD 7.0)
x86_64:py37-buildbot-www-1.5.0.tgz(NetBSD 7.0)
x86_64:py36-buildbot-www-1.5.0.tgz(NetBSD 7.1)
x86_64:py37-buildbot-www-1.5.0.tgz(NetBSD 7.1)
x86_64:py27-buildbot-www-1.5.0.tgz(NetBSD 7.1)
x86_64:py34-buildbot-www-1.5.0.tgz(NetBSD 7.1)
x86_64:py36-buildbot-www-1.5.0.tgz(NetBSD 7.1)
x86_64:py37-buildbot-www-1.5.0.tgz(NetBSD 7.1)
x86_64:py36-buildbot-www-1.5.0.tgz(NetBSD 7.1)
x86_64:py37-buildbot-www-1.5.0.tgz(NetBSD 7.1)
x86_64:py27-buildbot-www-1.5.0.tgz(NetBSD 8.0)
x86_64:py34-buildbot-www-1.5.0.tgz(NetBSD 8.0)
x86_64:py35-buildbot-www-1.5.0.tgz(NetBSD 8.0)
x86_64:py36-buildbot-www-1.5.0.tgz(NetBSD 8.0)
x86_64:py37-buildbot-www-1.5.0.tgz(NetBSD 8.0)
x86_64:py36-buildbot-www-1.5.0.tgz(NetBSD 8.0)
x86_64:py37-buildbot-www-1.5.0.tgz(NetBSD 8.0)
x86_64:py36-buildbot-www-1.5.0.tgz(NetBSD 8.0)
x86_64:py37-buildbot-www-1.5.0.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]